#
# spec file for package mpg321 (Version 0.2.10)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libao libao-devel libid3tag libid3tag-devel mad mad-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libao libao-devel libid3tag libid3tag-devel libtool mad mad-devel perl rpm

Name:         mpg321
Summary:      A Free Command Line MP3 player
Version:      0.2.10
Release:      419
Group:        Productivity/Multimedia/Sound/Players
License:      GPL
URL:          http://sourceforge.net/projects/mpg321
Source:       %{name}-%{version}.tar.bz2
Patch:        ao-alsa09-fix.dif
Patch1:       mpg321-unsafe-printf.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
MPG321 is a command line MP3 player that serves as a free replacement
for MPG123. It is distributed under the GPL.  It uses the MAD library
for decoding MP3 streams for high-quality output.



Authors:
--------
    Joe Drew <drew@debian.org>

%prep
%setup
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize -f
aclocal -I m4
autoconf
automake -a 
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-mpg123-symlink
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog HACKING README HACKING INSTALL NEWS
%doc README README.remote THANKS TODO
%doc debian/changelog
%doc %{_mandir}/man?/*
%{_bindir}/*

%changelog -n mpg321
* Thu Jan 08 2004 - tiwai@suse.de
- security fix against unsafe printf (bug #33824).
* Thu Jul 03 2003 - tiwai@suse.de
- fixed the build with the recent mad.
* Mon Aug 19 2002 - tiwai@suse.de
- updated to version 0.2.10.
* Tue Feb 05 2002 - tiwai@suse.de
- improved alsa09 patch.
  "-o alsa" option instead of alsa09.
* Tue Jan 22 2002 - tiwai@suse.de
- added alsa09 patch.
  mpg321 accepts "-o alsa09" option.
* Fri Jan 04 2002 - tiwai@suse.de
- updated to version 0.2.3.
- added debian/changelog (which is the real changelog) to
  filelist.
* Mon Dec 03 2001 - tiwai@suse.de
- initial version: 0.2.2.
